%global momorel 1
Name:           adwaita-icon-theme
Version:        3.28.0
Release: %{momorel}m%{?dist}
Summary:        Adwaita icon theme
Group:          User Interface/Desktops

License:        LGPLv3+ or CC-BY-SA
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/adwaita-icon-theme/3.28/%{name}-%{version}.tar.xz
NoSource: 0

BuildArch:      noarch

BuildRequires:  intltool
BuildRequires:  librsvg2
BuildRequires:  /usr/bin/gtk-encode-symbolic-svg
BuildRequires:  /usr/bin/gtk-update-icon-cache

# Replace adwaita-cursor-theme subpackage from gnome-themes-standard
Provides:       adwaita-cursor-theme = %{version}-%{release}
Obsoletes:      adwaita-cursor-theme < 3.13.1-2

%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the pkgconfig file for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure
%make 

%install
%make_install

touch %{buildroot}%{_datadir}/icons/Adwaita/icon-theme.cache

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%doc COPYING*
%{_datadir}/icons/Adwaita/8x8/
%{_datadir}/icons/Adwaita/16x16/
%{_datadir}/icons/Adwaita/22x22/
%{_datadir}/icons/Adwaita/24x24/
%{_datadir}/icons/Adwaita/32x32/
%{_datadir}/icons/Adwaita/48x48/
%{_datadir}/icons/Adwaita/64x64/
%{_datadir}/icons/Adwaita/96x96/
%{_datadir}/icons/Adwaita/256x256/
%{_datadir}/icons/Adwaita/512x512/
%{_datadir}/icons/Adwaita/cursors/
%{_datadir}/icons/Adwaita/scalable/
%{_datadir}/icons/Adwaita/scalable-up-to-32/
%{_datadir}/icons/Adwaita/index.theme
%ghost %{_datadir}/icons/Adwaita/icon-theme.cache

%files devel
%{_datadir}/pkgconfig/adwaita-icon-theme.pc

%changelog
* Wed Jul 25 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.28.0.1-1m)
- update to 3.28.0

* Sun Mar 04 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.27.90.1-1m)
- update to 3.27.90

* Wed Oct 11 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.26.0.1-1m)
- update to 3.26.0

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.0.1-1m)
- update to 3.24.0

* Fri Mar 17 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.91.1-1m)
- update to 3.23.91.1

* Wed Jan 25 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.0-1m)
- update to 3.22.0

* Tue Dec 16 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.1-1m)
- demote to 3.14.1

* Mon Nov  3 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.15.1-1m)
- update to 3.15.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-2m)
- update

* Mon Aug 25 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.13.5-1m)
- import from fedora

